<?php require_once 'config.php';
/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/


echo "<html><head><title>AssetTrackDB - Site Access Logs</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo '<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">';
echo "</head><body>";

$report = "report_site_access_$myusername.csv";
$fh = fopen($report, 'w') or die("can't open file");


//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
//--END Menu Code--

//Disallow Read-Only Users Access to this page
if($rostate==1 OR $sadminstate==0)
    {
    	echo "<br><center><div id=err>Read Only / Non-Admin User: You do not have access to this page</div></center>";
    }
else {


if(!empty($_GET["rppu"])){
  	$rppu = $_GET["rppu"];
  		if ($rppu=='All'){
  			$rppu = '100000000';
  		}
	$rpp = $rppu;
}
else{
$rpp = '16';
$rppu = '16';
}

if(!empty($_GET["show"])){
	$show = $_GET["show"];
}
else {
	$show = 'all';
}

//RPP SELECT CODE
echo '<table border=0><form action=sa_logs.php method="GET">';
echo '<tr><td>Show:</td><td>';
echo '<select name="show" onchange="this.form.submit();">';
echo "<option "; if ($show == 'valid') print 'selected '; echo "value='valid'>Valid</option>";
echo "<option "; if ($show == 'invalid') print 'selected '; echo "value='invalid'>Invalid</option>";
echo "<option "; if ($show == 'all') print 'selected '; echo "value='all'>All</option>";
echo "</select>";
echo '</td></tr>';
echo '<tr><td valign=top>Results Per Page:</td><td>';
echo '<select name="rppu" onchange="this.form.submit();">';
echo "<option "; if ($rppu == '5') print 'selected '; echo "value='5'>5</option>";
echo "<option "; if ($rppu == '10') print 'selected '; echo "value='10'>10</option>";
echo "<option "; if ($rppu == '16') print 'selected '; echo "value='16'>16</option>";
echo "<option "; if ($rppu == '30') print 'selected '; echo "value='30'>30</option>";
echo "<option "; if ($rppu == '40') print 'selected '; echo "value='40'>40</option>";
echo "<option "; if ($rppu == '50') print 'selected '; echo "value='50'>50</option>";
echo "<option "; if ($rppu == '100') print 'selected '; echo "value='100'>100</option>";
echo "<option "; if ($rppu == '125') print 'selected '; echo "value='125'>125</option>";
echo "<option "; if ($rppu == '150') print 'selected '; echo "value='150'>150</option>";
echo "<option "; if ($rppu == '200') print 'selected '; echo "value='200'>200</option>";
echo "<option "; if ($rppu == '100000000') print 'selected '; echo "value='All'>All</option>";
echo "</select>";
//Needed to pass search variables
echo "</form></td>";

echo "</tr></table>";

//$result1 = mysql_query("SELECT * FROM member_history ORDER by date DESC") or die(mysql_error());


$total_records = "";
$total_pages = "";

$result1 = mysql_query("SELECT * FROM member_history") or die(mysql_error());

$total_records = mysql_num_rows($result1);
$total_pages = ceil($total_records / $rpp);


//Deal with multiple pages
if (isset($_GET["page"])) { $page  = $_GET["page"]; } else { $page=1; };
$start_from = ($page-1) * $rpp;

if ($show=='all'){
	$result1 = mysql_query("SELECT * FROM member_history ORDER by date DESC LIMIT $start_from, $rpp") or die(mysql_error());
}
elseif($show=='valid'){
	$result1 = mysql_query("SELECT * FROM member_history WHERE valid='yes' OR valid='' ORDER by date DESC LIMIT $start_from, $rpp") or die(mysql_error());
}
elseif($show=='invalid'){
	$result1 = mysql_query("SELECT * FROM member_history WHERE valid='no' ORDER by date DESC LIMIT $start_from, $rpp") or die(mysql_error());
}

//Page Calcualtions START
//Calculate Previous Page Number
if ($page==1){
  $pageprev='1';
}
else
{
  $pageprev = $page - 1;
}
//Calculate Next Page Number
if ($page < $total_pages) {
   $pagenext = $page + 1;
}
else{
$pagenext = $page;
}
//Page Calcualtions END

echo "<center>";
echo "<span style='font-size: 20px; font-weight: bold;'>Site Access Logs</span>";

//Page links   START
$pgcount = '1';
echo "<table cellpadding=5 border=0><tr><td>Page:</td><td><a href='sa_logs.php?page=";echo $pageprev; echo '&rppu='; echo $rppu; echo "'>Prev</a></td>";
while($pgcount <= $total_pages){
  echo "<td>";
  if ($page == $pgcount){
       echo "<a href='sa_logs.php?page=";echo $pgcount; echo " '><b>"; echo $pgcount; echo "</a>";
  }
  else
  {
  echo "<a href='sa_logs.php?page=";echo $pgcount; echo '&rppu='; echo $rppu; echo "'>"; echo $pgcount; echo "</a>";
  }
  echo "</td>";
  $pgcount++;
}
echo "<td><a href='sa_logs.php?page=";echo $pagenext; echo '&rppu='; echo $rppu; echo "'>Next</a></td></tr></table>";
//Page links   END



echo '<center>';
echo '<table class="sortable al" id="" style="width:500px; text-align: center; margin-left: auto; margin-right: auto;" border="0" cellpadding="0" cellspacing="0">';
echo '<th>User</th><th>Date / Time</th><th>IP Address</th><th>IP Forward</th><th>Action</th><th>Valid?</th>';

$stringData = 'User'.",".'Date, Time'.",".'Action'."\n";

//$stringData = 'Date'.",";
fwrite($fh, $stringData);

while($row = mysql_fetch_array( $result1 )) {
echo '<tr>';
echo "<td class='logs'><p class='logs'>" . $row['member'] ."</p></td>";
$stringData = $row['member'].",";
fwrite($fh, $stringData);

echo "<td class='logs'><p class='logs'>" . $row['date'] . " " .  $row['time'] . "</p></td>";
$stringData = $row['date'].",";
fwrite($fh, $stringData);

$stringData = $row['time'].",";
fwrite($fh, $stringData);

echo "<td class='logs'><p class='logs'>" . $row['ipadd'] ."</p></td>";
$stringData = $row['ipadd'].",";
fwrite($fh, $stringData);

echo "<td class='logs'><p class='logs'>" . $row['ipfor'] ."</p></td>";
$stringData = $row['ipfor'].",";
fwrite($fh, $stringData);

echo "<td class='logs'><p class='logs'>" . $row['action'] ."</p></td>";
$stringData = $row['action'].",";
fwrite($fh, $stringData);

echo "<td class='logs'><p class='logs'>" . $row['valid'] ."</p></td>";
$stringData = $row['valid'].",";
fwrite($fh, $stringData);

$stringData = "\n";
fwrite($fh, $stringData);

echo '</tr>';
}
echo '</table>';

echo '</center>';
echo '</center>';

echo "<br><Br>";
echo "Total Results: ";
//Output the rowcount
echo $total_records; echo "<br>";
echo "Total Pages: ";
echo $total_pages; echo "<br>";
echo "Results Per Page: ";
if($rpp == '100000000'){
  echo 'All';
  }
  else{
    echo $rpp;
  }

echo "<br>";
echo "<br>";

echo "Download a report of this page: ";
echo "<a href=$report>$report</a>";

echo "<br><br>";



}



echo "<br><br>";
include 'footer.php';
echo '</center></center>';
include 'includes/userinfo.php';
echo "</body>";
echo "</html>";

?>
